Package org.springframework.security.authentication.event

# Class LoggerListener

java.lang.Object
org.springframework.security.authentication.event.LoggerListener

All Implemented Interfaces:
  `EventListener`, `org.springframework.context.ApplicationListener<AbstractAuthenticationEvent>`

public class LoggerListener extends Object implements org.springframework.context.ApplicationListener<AbstractAuthenticationEvent>
Outputs authentication-related application events to Commons Logging.

All authentication events are logged at the warning level.

## Constructor Summary

Constructors
Constructor
Description
`LoggerListener()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLogInteractiveAuthenticationSuccessEvents()`
`void`
`onApplicationEvent(AbstractAuthenticationEvent event)`
`void`
`setLogInteractiveAuthenticationSuccessEvents(boolean logInteractiveAuthenticationSuccessEvents)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.ApplicationListener

`supportsAsyncExecution`

## Constructor Details

### LoggerListener

public LoggerListener()

## Method Details

### onApplicationEvent

public void onApplicationEvent(AbstractAuthenticationEvent event)

Specified by:
  `onApplicationEvent` in interface `org.springframework.context.ApplicationListener<AbstractAuthenticationEvent>`

### isLogInteractiveAuthenticationSuccessEvents

public boolean isLogInteractiveAuthenticationSuccessEvents()

### setLogInteractiveAuthenticationSuccessEvents

public void setLogInteractiveAuthenticationSuccessEvents(boolean logInteractiveAuthenticationSuccessEvents)